-- * ============================================================================
-- * (C) Copyright IBM Corporation 2006, 2007, 2008.  All Rights Reserved.
-- * 
-- * You may only copy, modify, and distribute these samples internally.
-- * These samples have not been tested under all conditions and are provided
-- * to you by IBM without obligation of support of any kind.
-- *
-- * IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
-- * CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
-- * OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
-- * CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
-- * NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
-- * ============================================================================s
          
CREATE TABLE books(
  ID int NOT NULL GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1),
  TITLE varchar(56) NOT NULL,
  AUTHORNAME varchar(56) NOT NULL,
  UPDATED date NOT NULL,
  CONTENTTYPE varchar(256) NOT NULL,
  CONTENT varchar(256) NOT NULL,
  CATEGORYTERM varchar(256) ,  
  CATEGORYLABEL varchar(56) ,
  PRIMARY KEY  (ID)
);

insert into books (authorname, updated, title, contenttype, content, categoryterm, categorylabel) 
        values('Mark Twain', Date('2007-01-01'),'The Adventures Of Huckleberry Finn','TEXT','Justice and honor are celebrated in this story about Hucks adventures on the Mississippi River with the runaway slave Jim.', 'paper', 'Paperback'),
          ('Arthur Conan Doyle', Date('2007-03-04'),'The Complete Sherlock Holmes','TEXT','The Baker Street saga is chronicled in this collection that includes A Study in Scarlet, the 1887 story that introduced the English detective Sherlock Holmes, and his assistant Dr. Watson', 'paper', 'Paperback'),
          ('F. Scott Fitzgerald', Date('2007-03-05'),'The Great Gatsby','TEXT','Jay Gatsby has built an illegal empire to win the love of Daisy Buchanan, but his sacrifices for her prove to be his downfall.', 'paper', 'Paperback'),
          ('Daniel Defoe', Date('2006-03-04'),'Robinson Crusoe','TEXT','Defoes novel about a castaway marooned for twenty-four years on a deserted island is an engrossing story of survival, civilization, and barbarism.', 'paper', 'Paperback');
